## rotatedaemon 0.1

=== debian/changelog ===
rotatedaemon (0.1) unstable; urgency=low

  * Initial release

 -- Robin Burchell <viroteck@viroteck.net>  Fri, 18 Jun 2010 14:56:00 +0100

## rotatedaemon 0.1-1

=== Makefile ===
#############################################################################
# Makefile for building: rotatedaemon
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 18 15:21:43 2010
# Project:  rotatedaemon.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile rotatedaemon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lX11 -lXrandr -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		rotationdaemon.cpp moc_rotationdaemon.cpp
OBJECTS       = main.o \
		rotationdaemon.o \
		moc_rotationdaemon.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		rotatedaemon.pro
QMAKE_TARGET  = rotatedaemon
DESTDIR       = 
TARGET        = rotatedaemon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: rotatedaemon.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile rotatedaemon.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile rotatedaemon.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/rotatedaemon1.0.0 || $(MKDIR) .tmp/rotatedaemon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/rotatedaemon1.0.0/ && $(COPY_FILE) --parents rotationdaemon.h .tmp/rotatedaemon1.0.0/ && $(COPY_FILE) --parents main.cpp rotationdaemon.cpp .tmp/rotatedaemon1.0.0/ && (cd `dirname .tmp/rotatedaemon1.0.0` && $(TAR) rotatedaemon1.0.0.tar rotatedaemon1.0.0 && $(COMPRESS) rotatedaemon1.0.0.tar) && $(MOVE) `dirname .tmp/rotatedaemon1.0.0`/rotatedaemon1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/rotatedaemon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_rotationdaemon.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_rotationdaemon.cpp
moc_rotationdaemon.cpp: rotationdaemon.h
	/usr/bin/moc $(DEFINES) $(INCPATH) rotationdaemon.h -o moc_rotationdaemon.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp rotationdaemon.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

rotationdaemon.o: rotationdaemon.cpp rotationdaemon.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o rotationdaemon.o rotationdaemon.cpp

moc_rotationdaemon.o: moc_rotationdaemon.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_rotationdaemon.o moc_rotationdaemon.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
rotatedaemon (0.1-1) unstable; urgency=low

  * Fix project file to install binary correct.

 -- Robin Burchell <viroteck@viroteck.net>  Fri, 18 Jun 2010 15:24:22 +0100

## rotatedaemon 0.1-2

=== debian/changelog ===
rotatedaemon (0.1-2) unstable; urgency=low

  * Fixes to make it even remotely functional.
    Apparently this is a very old version of my code. :(

 -- Robin Burchell <viroteck@viroteck.net>  Fri, 18 Jun 2010 16:00:31 +0100

## rotatedaemon 0.1-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: rotatedaemon
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 18 15:21:43 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 18 15:50:35 2010
 # Project:  rotatedaemon.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile rotatedaemon.pro
@@ -199,19 +199,9 @@
 
 ####### Install
 
-install_target: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
-	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
-	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
-
-uninstall_target:  FORCE
-	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 
-
-
-install:  install_target  FORCE
-
-uninstall: uninstall_target   FORCE
+install:   FORCE
+
+uninstall:   FORCE
 
 FORCE:

=== debian/changelog ===
rotatedaemon (0.1-3) unstable; urgency=low

  * Don't ask.

 -- Robin Burchell <viroteck@viroteck.net>  Fri, 18 Jun 2010 19:01:11 +0100

## rotatedaemon 0.1-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: rotatedaemon
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 18 15:50:35 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 18 19:18:42 2010
 # Project:  rotatedaemon.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile rotatedaemon.pro
@@ -199,9 +199,29 @@
 
 ####### Install
 
-install:   FORCE
-
-uninstall:   FORCE
+install_target: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
+	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
+	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
+
+uninstall_target:  FORCE
+	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 
+
+
+install_eventfile: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/etc/event.d/ || $(MKDIR) $(INSTALL_ROOT)/etc/event.d/ 
+	-$(INSTALL_FILE) /home/burchr/rotatedaemon/rotated $(INSTALL_ROOT)/etc/event.d/
+
+
+uninstall_eventfile:  FORCE
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/etc/event.d/rotated
+	-$(DEL_DIR) $(INSTALL_ROOT)/etc/event.d/ 
+
+
+install:  install_target install_eventfile  FORCE
+
+uninstall: uninstall_target uninstall_eventfile   FORCE
 
 FORCE:

=== debian/changelog ===
rotatedaemon (0.1-4) unstable; urgency=low

  * Add Upstart job to start rotatedaemon on hildon-desktop start.

 -- Robin Burchell <viroteck@viroteck.net>  Fri, 18 Jun 2010 19:19:10 +0100

=== debian/control ===
Source: rotatedaemon
Section: user/desktop 
Priority: optional
Maintainer: Robin Burchell <viroteck@viroteck.net>
Build-Depends: debhelper (>= 5), libqt4-dev, x11proto-core-dev, libx11-dev, libxrandr-dev
Standards-Version: 3.7.2

Package: rotatedaemon
Architecture: any
Depends: libqt4-gui, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1)
Description: Rotate applications through all four directions.
 Forces all applications which are capable to rotate to all four
 possible directions: portrait, landscape, reverse portrait, reverse
 landscape.
 .
 Further Information: rburchell.com

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

APPNAME := rotatedaemon
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
